{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-169.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "kf5-kguiaddons-5.115.0-2.fc40",
        "store-results-to": "/tmp/tmp_c8p4jnr/kf5-kguiaddons-5.115.0-2.fc40.tar.xz",
        "time-created": "2024-07-03 13:48:24",
        "time-finished": "2024-07-03 13:50:06",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmp_c8p4jnr/kf5-kguiaddons-5.115.0-2.fc40.tar.xz' '--gcc-analyze' '/tmp/tmp_c8p4jnr/kf5-kguiaddons-5.115.0-2.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "60cb31971c5c05f53c28536859ab0aadf1822f04",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "kf5-kguiaddons-5.115.0-build/kguiaddons-5.115.0/src/systemclipboard/waylandclipboard.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘virtual void DataControlSource::zwlr_data_control_source_v1_send(const QString&, int32_t)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "kf5-kguiaddons-5.115.0-build/kguiaddons-5.115.0/src/systemclipboard/waylandclipboard.cpp",
                    "line": 368,
                    "column": 10,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘ssize_t write(int, const void*, size_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  368 |     write(fd, ba.constData(), ba.size());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |     ~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  366|       action.sa_flags = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  367|       sigaction(SIGPIPE, &action, &oldAction);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  368|->     write(fd, ba.constData(), ba.size());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  369|       sigaction(SIGPIPE, &oldAction, nullptr);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  370|       close(fd);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4c167d0184ee26f87c9b0e3f5a8408a8bdf2c47b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kguiaddons-5.115.0-build/kguiaddons-5.115.0/src/util/klocalimagecacheimpl.cpp",
                    "line": 90,
                    "column": 5,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential memory leak",
                    "verbosity_level": 0
                },
                {
                    "file_name": "kf5-kguiaddons-5.115.0-build/kguiaddons-5.115.0/src/util/klocalimagecacheimpl.cpp",
                    "line": 90,
                    "column": 33,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kguiaddons-5.115.0-build/kguiaddons-5.115.0/src/util/klocalimagecacheimpl.cpp",
                    "line": 90,
                    "column": 5,
                    "event": "note",
                    "message": "Potential memory leak",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   88|   bool KLocalImageCacheImplementation::insertLocalPixmap(const QString &key, const QPixmap &pixmap) const",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   89|   {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   90|->     return d->insertPixmap(key, new QPixmap(pixmap));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   91|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   92|   ",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
